petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMCompositeGather

Gathers into a global packed vector from its individual local vectors

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeGather(DM dm,InsertMode imode,Vec gvec,...)

Collective on DMComposite

### Input Parameter

| dm | - the packer object
| gvec | - the global vector
| imode | - INSERT_VALUES or ADD_VALUES
| Vec ... | - the individual sequential vectors, NULL for any that are not needed

Not available from Fortran, Fortran users can use DMCompositeGatherArray()

### See Also

DMDestroy(), DMCompositeAddDM(), DMCreateGlobalVector(),
DMCompositeScatter(), DMCompositeCreate(), DMCompositeGetISLocalToGlobalMappings(), DMCompositeGetAccess(), DMCompositeGetLocalVectors(), DMCompositeRestoreLocalVectors(), DMCompositeGetEntries()

### Level

advanced

### Location

src/dm/impls/composite/pack.c

### Examples

src/snes/examples/tutorials/ex21.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages